summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: cd294bc)
raw | patch | inline | side by side (parent: cd294bc)
author | Jeff King <peff@peff.net> | |
Fri, 24 Apr 2009 13:56:14 +0000 (09:56 -0400) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Fri, 24 Apr 2009 16:24:35 +0000 (09:24 -0700) |
Difftool is written in perl, so we don't build it if NO_PERL
is set.
Signed-off-by: Jeff King <peff@peff.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
is set.
Signed-off-by: Jeff King <peff@peff.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t7800-difftool.sh | patch | blob | history |
diff --git a/t/t7800-difftool.sh b/t/t7800-difftool.sh
index 2586f864a0df4d8c6fb2c7ca0824a6d53ce0520d..ebdccf9a1eb9f9bb4918fc5adee8bdb8fd682608 100755 (executable)
--- a/t/t7800-difftool.sh
+++ b/t/t7800-difftool.sh
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping difftool tests, perl not available'
+ test_done
+fi
+
remove_config_vars()
{
# Unset all config variables used by git-difftool